"""Add feed augmentation hash table

Revision ID: b8c8f792462f
Revises: 2336c8ef3567
Create Date: 2018-06-19 20:17:20.986964

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "b8c8f792462f"
down_revision = "2336c8ef3567"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "feed_augmentation_hashes",
        sa.Column("org_id", sa.String(), nullable=False),
        sa.Column("feed_id", sa.String(), nullable=False),
        sa.Column("feed_version", sa.String(), nullable=False),
        sa.Column("hash", sa.String(), nullable=False),
        sa.ForeignKeyConstraint(
            ["feed_id", "feed_version"],
            ["feeds.id", "feeds.version"],
            name="feed_augmentation_hashes_feed_id_fkey",
        ),
        sa.PrimaryKeyConstraint("org_id", "feed_id", "feed_version"),
    )


def downgrade():  # pragma: no cover
    op.drop_table("feed_augmentation_hashes")
